Back

After upgrading your Mac you may experience difficulties connecting.

For OS X High Sierra (10.13)
Please upgrade you Citrix Receiver to version 12.7 or later.

For OS X Sierra (10.12)
Please upgrade you Citrix Receiver to version 12.3 or later.

For OS X El Capitan (10.11)
Please upgrade you Citrix Receiver to version 12.0 or later.

For OS X Yosemite (10.10)
Please upgrade you Citrix Receiver to version 12.0 or later.

The latest Mac client is available from the Citrix Website


For OS X Mavericks (10.9)
No longer supported - you must use Citrix Receiver version 12.0 to 12.5

For OS X Mountain Lion (10.8)
No longer supported - you must use Citrix Receiver version 12.0


Back